//
// Color brush as a postprocessing effect
//

uniform	sampler2D	mainTex;
uniform sampler2D	brushTex;

varying vec2 v;

void main (void)
{
	vec4	brush = texture2D ( brushTex, gl_TexCoord [0].xy );
	
	vec2 	scr   = v / 512.0;
	vec4	color = texture2D ( mainTex,  scr, 3.0 );		// have to pass coordinate of source point sprite
															// use bias to blur source image
	
	gl_FragColor = vec4 ( brush.rgb * color.rgb, brush.a );
}
