//
// Black-white dither as postprocessing effect
//

uniform	sampler2D	mainTex;
uniform sampler2D	ditherTex;
uniform sampler2D	randomTex;

void main (void)
{
	const	vec3	luminance = vec3 ( 0.3, 0.59, 0.11 );

	vec4	color   = texture2D ( mainTex,   gl_TexCoord [0].xy );
	vec2	rnd     = texture2D ( randomTex, gl_TexCoord [0].xy );
	float	y       = dot       ( color.rgb, luminance );
	vec3	dither  = texture2D ( ditherTex,  vec2 ( y*y*y, rnd.x ) ).rgb;

	gl_FragColor = vec4 ( dither, 1.0 );
}
