//
// Halftone rendering (fragment shader)
//
// Author: Alex V. Boreskoff
//


//uniform float	factor;

uniform	sampler2D	mainTex;
uniform sampler2D	halftoneTex;

void main (void)
{
	const	vec3	luminance       = vec3 ( 0.3, 0.59, 0.11 );
	const	vec2	uvFactor        = vec2 ( 1.5, 1.5 );
	const	float	brightnessScale = 0.9;
	const	float	factor          = 0.0;

	vec4	color   = texture2D ( mainTex,  gl_TexCoord [0].xy );
	float	y       = 1.0 - dot ( color.rgb, luminance ) * brightnessScale;

									// now use brightness to select of one four haftone masks
	vec2	tex     = mod ( gl_TexCoord [0].xy * uvFactor, 1.0 ) * vec2 ( 0.25, 1.0 );

	if ( y < 0.25 )
		;
	else
	if ( y < 0.5 )
		tex.x += 0.25;
	else
	if ( y < 0.75 )
		tex.x += 0.5;
	else
		tex.x += 0.75;

	float	h       = texture2D ( halftoneTex, tex ).x;
	vec4	htColor;

	if ( h > y )
		htColor = vec4 ( 1.0, 1.0, 1.0, 1.0 );
	else
		htColor = vec4 ( 0.0, 0.0, 0.0, 1.0 );

	gl_FragColor.rgb = lerp ( htColor, vec4 ( y*h ), factor );
	gl_FragColor.a   = 1.0;
}
