//
// Old-film vertex shader as a post-processing effect
//
// Effects:
//     1. shudder of source texture with the time
//     2. brightness changes
//     3. applying texture with scratches
//     4. applying texture with blips
//

uniform float	factor;

uniform	sampler2D	mainTex;
uniform sampler2D	halftoneTex;

void main (void)
{
	const	vec3	luminance = vec3 ( 0.3, 0.59, 0.11 );
	const	vec2	uvFactor  = vec2 ( 1.5, 1.5 );
	
	vec4	color   = texture2D ( mainTex,    gl_TexCoord [0].xy );
	float	y       = dot ( color.rgb, luminance );
	float	h       = texture2D ( halftoneTex, gl_TexCoord [0].xy * uvFactor ).x;
	vec4	htColor;

	if ( h > 1.0 - y*0.8 )
		htColor = vec4 ( 1.0, 1.0, 1.0, 1.0 );
	else
		htColor = vec4 ( 0.0, 0.0, 0.0, 1.0 );
		
	gl_FragColor.rgb = lerp ( htColor, color, 0.0/*factor*/ );
	gl_FragColor.a   = 1.0;
//	gl_FragColor = vec4 ( y*h );
}
